### Method

# Adw ViewSwitcherTitleset_view_switcher_enabled

deprecated: 1.4

#### Declaration [src]

    void
    adw_view_switcher_title_set_view_switcher_enabled (
      AdwViewSwitcherTitle* self,
      gboolean enabled
    )

#### Description [src]

Sets whether `self`‘s view switcher is enabled.

If it is disabled, the title will be displayed instead. This allows to programmatically hide the view switcher even if it fits in the available space.

This can be used e.g. to ensure the view switcher is hidden below a certain window width, or any other constraint you find suitable.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.ViewSwitcherTitle:view-switcher-enabled`

#### Parameters

`enabled`

  Type: `gboolean`

  Whether the view switcher is enabled.